Bug 439950 - show overall repo status
Summary: show overall repo status
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-01 02:44 UTC by Rahul Sundaram
Modified: 2013-03-13 05:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-14 23:58:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rahul Sundaram 2008-04-01 02:44:56 UTC
Description of problem:

Show overall status such as the total number of packages available in the repo,
packages installed, packages available as updates etc


Additional info:

Synaptic does this at it's toolbar and IIRC provides a summary option too.

Comment 1 Richard Hughes 2008-04-01 10:41:51 UTC
Can we get this information from yum? Do you think such information is useful to
the user?

Comment 2 Rahul Sundaram 2008-04-01 11:10:50 UTC
# yum list lists every package in all the enabled repositories
# yum list installed lists installed ones
# yum list available lists non installed ones
# yum list extras shows packages installed that are not part of the enabled
repositories. 

# package-cleanup (yum-utils) has a number of options to show issues like
duplicate packages in the repositories

I find a good summary useful. Might ask on list whether others find this a
useful feature too. 

Comment 3 Richard Hughes 2008-04-14 23:58:37 UTC
I don't think we need to show this data, sorry.


Note You need to log in before you can comment on or make changes to this bug.